at.chipkarte.client.elgaad.soap.constants

## Class AdapterCodeConstants

- Object
- - at.chipkarte.client.elgaad.soap.constants.AdapterCodeConstants

-     public class AdapterCodeConstants
      extends Object

  Konstanten für die AdapterCodes die als Bestandteil einer BackendMeldung (siehe `BackendMeldung`) geliefert werden können.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ZS2200099` Der Gültigkeitszeitraum ist ungültig.
    `static String` | `ZS2200100` Der Wert in Rezeptart ist ungültig.
    `static String` | `ZS2200101` Der Wert in Anwendungsart ist ungültig.
    `static String` | `ZS2200102` Das Wert in Kennzeichen für eine Teilabgabe ist ungültig.
    `static String` | `ZS2200103` Der Einnahmezeitraum (Einnahmestart, Einnahmeende, Einnahmedauer) ist ungültig.
    `static String` | `ZS2200104` Der Wert in Frequenz der Tagesdosierung ist ungültig.
    `static String` | `ZS2200105` Der Wert in Therapieart ist ungültig.
    `static String` | `ZS2200106` Der Wert in Fachrichtung des Autors ist ungültig.
    `static String` | `ZS2200108` Der Wert in Familienstand ist ungültig.
    `static String` | `ZS2200109` Der Wert in Religionsbekenntnis ist ungültig.
    `static String` | `ZS2200110` Der Wert in Einnahmezeitpunkt ist ungültig.
    `static String` | `ZS2200111` Der Wert in Menge der Einnahmeregel ist ungültig.
    `static String` | `ZS2200112` Die Liste der Einnahmetage der Einnahmeregel ist ungültig.
    `static String` | `ZS2200113` Der Wert eines Adress-Bestandteils (Staat, Bundesland, Stadt, Postleitzahl, Hausnummer, Straße) der Institution des Autors ist ungültig.
    `static String` | `ZS2200114` Der Wert eines Namens-Bestandteils (Name, Vorname) des Autors ist ungültig.
    `static String` | `ZS2200115` Der Wert in Name der Organisation des Rechtlichen Unterzeichners ist ungültig.
    `static String` | `ZS2200116` Der Wert eines Adress-Bestandteils (Staat, Bundesland, Stadt, Postleitzahl, Hausnummer, Straße) des Rechtlichen Unterzeichners ist ungültig.
    `static String` | `ZS2200117` Der Wert eines Adress-Bestandteils (Staat, Bundesland, Stadt, Postleitzahl, Hausnummer, Straße) des Verwahrers ist ungültig.
    `static String` | `ZS2200118` Der Wert eines Adress-Bestandteils (Staat, Bundesland, Stadt, Postleitzahl, Hausnummer, Straße) einer Addresse des Patienten ist ungültig.
    `static String` | `ZS2200119` Der Wert eines Namens-Bestandteils (Name, Vorname) des Rechtlichen Unterzeichners ist ungültig.
    `static String` | `ZS2200120` Die Liste der Wirkstoffe der Arznei ist ungültig.
    `static String` | `ZS2200121` Der Wert in Darreichungsform der Arznei ist ungültig.
    `static String` | `ZS2200132` Der Wert eines Adress-Bestandteils (Staat, Bundesland, Stadt, Postleitzahl, Hausnummer, Straße) der Organisation des Rechtlichen Unterzeichners ist ungültig.
    `static String` | `ZS2200133` Die lokale ID darf nicht identisch mit der SV-Nummer des Patienten sein.
    `static String` | `ZS2200134` Der Wert eines Adress-Bestandteils (Staat, Bundesland, Stadt, Postleitzahl, Hausnummer, Straße) des Sachwalters des Patienten ist ungültig.
    `static String` | `ZS2200135` Der Wert eines Namens-Bestandteils (Name, Vorname) des Sachwalters des Patienten ist ungültig.
    `static String` | `ZS2200145` Der Wert in Name des Verwahrers ist ungültig.
    `static String` | `ZS2200146` Die Liste der Einnahmezeitpunkte der Einnahmeregel ist ungültig.
    `static String` | `ZS2200149` Der Wert der Mengenangabe ist ungültig.
    `static String` | `ZS2200151` Der Wert in den Kontaktdaten des Patienten ist ungültig.
    `static String` | `ZS2200152` Der Wert in den Kontaktdaten des Autors ist ungültig.
    `static String` | `ZS2200153` Der Wert in den Kontaktdaten der Institution des Autors ist ungültig.
    `static String` | `ZS2200154` Der Wert in den Kontaktdaten des Sachwalters des Patienten ist ungültig.
    `static String` | `ZS2200155` Der Wert in den Kontaktdaten des Verwahrers ist ungültig.
    `static String` | `ZS2200156` Der Wert in den Kontaktdaten des Rechtlichen Unterzeichners ist ungültig.
    `static String` | `ZS2200157` Der Wert in den Kontaktdaten der Organisation des Rechtlichen Unterzeichners ist ungültig.
    `static String` | `ZS2200176` Die durchgeführte Abfrage enthält ein unvollständiges Ergebnis, da derzeit nicht alle ELGA-Bereiche erreichbar sind.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdapterCodeConstants()`

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ZS2200099

          public static final String ZS2200099

      Der Gültigkeitszeitraum ist ungültig.
      See Also:
        Constant Field Values

    - #### ZS2200100

          public static final String ZS2200100

      Der Wert in Rezeptart ist ungültig.
      See Also:
        Constant Field Values

    - #### ZS2200101

          public static final String ZS2200101

      Der Wert in Anwendungsart ist ungültig.
      See Also:
        Constant Field Values

    - #### ZS2200102

          public static final String ZS2200102

      Das Wert in Kennzeichen für eine Teilabgabe ist ungültig.
      See Also:
        Constant Field Values

    - #### ZS2200103

          public static final String ZS2200103

      Der Einnahmezeitraum (Einnahmestart, Einnahmeende, Einnahmedauer) ist ungültig.
      See Also:
        Constant Field Values

    - #### ZS2200104

          public static final String ZS2200104

      Der Wert in Frequenz der Tagesdosierung ist ungültig.
      See Also:
        Constant Field Values

    - #### ZS2200105

          public static final String ZS2200105

      Der Wert in Therapieart ist ungültig.
      See Also:
        Constant Field Values

    - #### ZS2200106

          public static final String ZS2200106

      Der Wert in Fachrichtung des Autors ist ungültig.
      See Also:
        Constant Field Values

    - #### ZS2200108

          public static final String ZS2200108

      Der Wert in Familienstand ist ungültig.
      See Also:
        Constant Field Values

    - #### ZS2200109

          public static final String ZS2200109

      Der Wert in Religionsbekenntnis ist ungültig.
      See Also:
        Constant Field Values

    - #### ZS2200110

          public static final String ZS2200110

      Der Wert in Einnahmezeitpunkt ist ungültig.
      See Also:
        Constant Field Values

    - #### ZS2200111

          public static final String ZS2200111

      Der Wert in Menge der Einnahmeregel ist ungültig. Hinweis: Betrifft die Mengenangabe im Objekt`Dosis`.
      See Also:
        Constant Field Values

    - #### ZS2200112

          public static final String ZS2200112

      Die Liste der Einnahmetage der Einnahmeregel ist ungültig. Hinweis: Betrifft die Angabe der Einnahmetage in der Dosierung.
      See Also:
        Constant Field Values

    - #### ZS2200113

          public static final String ZS2200113

      Der Wert eines Adress-Bestandteils (Staat, Bundesland, Stadt, Postleitzahl, Hausnummer, Straße) der Institution des Autors ist ungültig.
      See Also:
        Constant Field Values

    - #### ZS2200114

          public static final String ZS2200114

      Der Wert eines Namens-Bestandteils (Name, Vorname) des Autors ist ungültig.
      See Also:
        Constant Field Values

    - #### ZS2200115

          public static final String ZS2200115

      Der Wert in Name der Organisation des Rechtlichen Unterzeichners ist ungültig.
      See Also:
        Constant Field Values

    - #### ZS2200116

          public static final String ZS2200116

      Der Wert eines Adress-Bestandteils (Staat, Bundesland, Stadt, Postleitzahl, Hausnummer, Straße) des Rechtlichen Unterzeichners ist ungültig.
      See Also:
        Constant Field Values

    - #### ZS2200117

          public static final String ZS2200117

      Der Wert eines Adress-Bestandteils (Staat, Bundesland, Stadt, Postleitzahl, Hausnummer, Straße) des Verwahrers ist ungültig.
      See Also:
        Constant Field Values

    - #### ZS2200118

          public static final String ZS2200118

      Der Wert eines Adress-Bestandteils (Staat, Bundesland, Stadt, Postleitzahl, Hausnummer, Straße) einer Addresse des Patienten ist ungültig.
      See Also:
        Constant Field Values

    - #### ZS2200119

          public static final String ZS2200119

      Der Wert eines Namens-Bestandteils (Name, Vorname) des Rechtlichen Unterzeichners ist ungültig.
      See Also:
        Constant Field Values

    - #### ZS2200120

          public static final String ZS2200120

      Die Liste der Wirkstoffe der Arznei ist ungültig.
      See Also:
        Constant Field Values

    - #### ZS2200121

          public static final String ZS2200121

      Der Wert in Darreichungsform der Arznei ist ungültig.
      See Also:
        Constant Field Values

    - #### ZS2200132

          public static final String ZS2200132

      Der Wert eines Adress-Bestandteils (Staat, Bundesland, Stadt, Postleitzahl, Hausnummer, Straße) der Organisation des Rechtlichen Unterzeichners ist ungültig.
      See Also:
        Constant Field Values

    - #### ZS2200133

          public static final String ZS2200133

      Die lokale ID darf nicht identisch mit der SV-Nummer des Patienten sein.
      See Also:
        Constant Field Values

    - #### ZS2200134

          public static final String ZS2200134

      Der Wert eines Adress-Bestandteils (Staat, Bundesland, Stadt, Postleitzahl, Hausnummer, Straße) des Sachwalters des Patienten ist ungültig.
      See Also:
        Constant Field Values

    - #### ZS2200135

          public static final String ZS2200135

      Der Wert eines Namens-Bestandteils (Name, Vorname) des Sachwalters des Patienten ist ungültig.
      See Also:
        Constant Field Values

    - #### ZS2200145

          public static final String ZS2200145

      Der Wert in Name des Verwahrers ist ungültig.
      See Also:
        Constant Field Values

    - #### ZS2200146

          public static final String ZS2200146

      Die Liste der Einnahmezeitpunkte der Einnahmeregel ist ungültig.
      See Also:
        Constant Field Values

    - #### ZS2200149

          public static final String ZS2200149

      Der Wert der Mengenangabe ist ungültig.
      See Also:
        Constant Field Values

    - #### ZS2200151

          public static final String ZS2200151

      Der Wert in den Kontaktdaten des Patienten ist ungültig.
      See Also:
        Constant Field Values

    - #### ZS2200152

          public static final String ZS2200152

      Der Wert in den Kontaktdaten des Autors ist ungültig.
      See Also:
        Constant Field Values

    - #### ZS2200153

          public static final String ZS2200153

      Der Wert in den Kontaktdaten der Institution des Autors ist ungültig.
      See Also:
        Constant Field Values

    - #### ZS2200154

          public static final String ZS2200154

      Der Wert in den Kontaktdaten des Sachwalters des Patienten ist ungültig.
      See Also:
        Constant Field Values

    - #### ZS2200155

          public static final String ZS2200155

      Der Wert in den Kontaktdaten des Verwahrers ist ungültig.
      See Also:
        Constant Field Values

    - #### ZS2200156

          public static final String ZS2200156

      Der Wert in den Kontaktdaten des Rechtlichen Unterzeichners ist ungültig.
      See Also:
        Constant Field Values

    - #### ZS2200157

          public static final String ZS2200157

      Der Wert in den Kontaktdaten der Organisation des Rechtlichen Unterzeichners ist ungültig.
      See Also:
        Constant Field Values

    - #### ZS2200176

          public static final String ZS2200176

      Die durchgeführte Abfrage enthält ein unvollständiges Ergebnis, da derzeit nicht alle ELGA-Bereiche erreichbar sind.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AdapterCodeConstants

          public AdapterCodeConstants()